.ship-specifications {
    padding-bottom: var(--spacing-large);
}

.ship-specifications .block-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: var(--spacing-medium);
}

.ship-specifications .block-header .description {
    max-width: 533px;
}

.specifications-grid {
    display: flex;
    flex-wrap: wrap;
    gap: var(--spacing-small);
}

.specification-card {
    display: flex;
    flex: 1 1 calc(25% - (var(--spacing-small)));
    max-width: calc(25% - (var(--spacing-small)));
    height: 260px;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    background: var(--primary-default);
    border-radius: 16px;
    padding: var(--spacing-small);
    position: relative;
    overflow: hidden;
}

.card-bg {
    position: absolute;
    left: 0;
    right: -206px;
    width: 100%;
    height: 100%;
}

.specification-card:first-child .card-bg {
    bottom: -52px;
}

.specification-card:nth-child(2) .card-bg {
    bottom: 28px;
}

.specification-card:nth-child(3) .card-bg {
    top: -56px;
}

.specification-card:nth-child(4) .card-bg {
    bottom: -52px;
}

.card-bg svg, .card-bg img {
    height: 100%;
    width: 100%;
}

.spec-content {
    position: relative;
}

.spec-title {
    color: var(--secondary-light);
}

.spec-subtitle {
    color: var(--White);
    font-weight: 800;
}

@media (max-width: 1400px) {

    .specification-card {
        flex: 1 1 calc(50% - (var(--spacing-small)));
        max-width: calc(50% - (var(--spacing-small)));
    }

}


@media (max-width: 992px) {

    .ship-specifications .block-header {
        align-items: flex-start;
        flex-direction: column;
        gap: 12px;
    }

}

@media (max-width: 768px) {

    .specifications-grid {
        flex-direction: column;
    }

    .specification-card {
        max-width: 100%;
        gap: 12px;
    }

    .specification-card .card-bg {
        bottom: auto !important;
        top: auto !important;
    }

}